Class CTelefonoBLL
  Private bd As New CTelefonoDAL()

  Public Function ObtenerFilaTfnos(tfno As String) As CTelefonoBO
    Return bd.ObtenerFilaTfnos(tfno)
  End Function

  Public Function ObtenerFilasTfnos() As ColCTelefonos
    Dim coTfnos As ColCTelefonos = bd.ObtenerFilasTfnos()
    Return coTfnos
  End Function

  Public Function InsertarFilaTfnos(bo As CTelefonoBO) As String
    Return bd.InsertarFilaTfnos(bo)
  End Function

  Public Sub BorrarFilaTfnos(tfno As String)
    bd.BorrarFilaTfnos(tfno)
  End Sub

  Public Sub ActualizarNomDirTfnObs(bo As CTelefonoBO, tfnoAntiguo As String)
    bd.ActualizarNomDirTfnObs(bo, tfnoAntiguo)
  End Sub

  Public Sub ActualizarNomDirObs(bo As CTelefonoBO)
    bd.ActualizarNomDirObs(bo)
  End Sub
End Class
